## udev-extras 0~-2~gite5fb9bd-1

=== debian/changelog ===
udev-extras (0~-2~gite5fb9bd-1) jaunty; urgency=low

  * Update to git e5fb9bd.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 18 Feb 2009 12:00:47 +0000

udev-extras (0~-1~git95b96e3-2) jaunty; urgency=low

  * Add missing build-dependencies

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 16 Jan 2009 10:09:44 +0000

udev-extras (0~-1~git95b96e3-1) jaunty; urgency=low

  * Initial package.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 12 Jan 2009 16:30:18 +0000
