=== debian/control ===
Source: udev-extras
Section: admin
Priority: optional
Maintainer: Scott James Remnant <scott@ubuntu.com>
Standards-Version: 3.8.0.0
Build-Depends: debhelper (>= 7.0), pkg-config, libglib2.0-dev (>= 2.12.0), libusb-dev (>= 1:0.1.12), xsltproc
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/udev-extras/ubuntu

Package: udev-extras
Architecture: any
Depends: ${shlibs:Depends}, udev (>= 136-1)
Enhances: udev
Description: additional rules and add-ons for udev
 udev is a collection of tools and a daemon to manage events received from
 the kernel and deal with them in user-space.  Primarily this involves
 creating and removing device nodes in /dev when hardware is discovered or
 removed from the system.
 .
 This package contains additional rules and add-ons for udev that are not
 yet mature enough for the base udev package.  Many of these are intended
 for use with DeviceKit, replacing parts of HAL.
 .
 These currently include:
  - probe-modem
  - modem-modeswitch
  - udev-acl
 .
 Events are received via kernel netlink messaged and processed according to
 rules in /etc/udev/rules.d and /lib/udev/rules.d, altering the name of the
 device node, creating additional symlinks or calling other tools and programs
 including those to load kernel modules and initialise the device.
